com.sun.grid.jgdi.configuration

## Interface ResourceDiagramEntry

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ResourceDiagramEntryImpl

      public interface ResourceDiagramEntry
      extends GEObject

  Java representation of the cull object RDE_Type defined in sge_all_listsL.template

  Warning: The ResourceDiagramEntry class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `dump()`
    `double` | `getAmount()` Get the value of the amount attribute.
    `int` | `getTime()` Get the value of the time attribute.
    `boolean` | `isSetAmount()` Determine if any amount attribute is set
    `boolean` | `isSetTime()` Determine if any time attribute is set
    `void` | `setAmount(double aAmount)` Set the amount attribute.
    `void` | `setTime(int aTime)` Set the time attribute.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getName, getParent`

- - ### Method Detail

    - #### setTime

          void setTime(int aTime)

      Set the time attribute.
      Parameters:
        `aTime` - the new value for the time attribute

    - #### getTime

          int getTime()

      Get the value of the time attribute.
      Returns:
        the value of the time attribute

    - #### isSetTime

          boolean isSetTime()

      Determine if any time attribute is set
      Returns:
        `true` if the time attribute is set

    - #### setAmount

          void setAmount(double aAmount)

      Set the amount attribute.
      Parameters:
        `aAmount` - the new value for the amount attribute

    - #### getAmount

          double getAmount()

      Get the value of the amount attribute.
      Returns:
        the value of the amount attribute

    - #### isSetAmount

          boolean isSetAmount()

      Determine if any amount attribute is set
      Returns:
        `true` if the amount attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.